> ## Documentation Index
> Fetch the complete documentation index at: https://wiki.joinswift.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Configure Fivetran connector sink

> Configure Fivetran as a destination for streaming event data



## OpenAPI

````yaml post /streaming/fivetran
openapi: 3.0.1
info:
  title: OpenAPI spec for Swift Customer Data Processing and Risk Score
  description: A specification for Swift's customer data processing and risk score APIs
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: http://sandbox.mintlify.com
security:
  - bearerAuth: []
paths:
  /streaming/fivetran:
    post:
      tags:
        - Streaming
      summary: Configure Fivetran connector sink
      description: Configure Fivetran as a destination for streaming event data
      requestBody:
        description: Fivetran configuration details
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - connectorId
                - apiKey
              properties:
                connectorId:
                  type: string
                  description: Fivetran connector ID
                apiKey:
                  type: string
                  description: Fivetran API key
                schema:
                  type: string
                  description: Target schema name
                enabled:
                  type: boolean
                  description: Whether streaming to this sink is enabled
                  default: true
      responses:
        '200':
          description: Fivetran sink configured successfully
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````